Bug 34921 - kickstart sets ONBOOT var incorrectly
kickstart sets ONBOOT var incorrectly
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-05 16:50 EDT by hesselsp
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-04 14:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hesselsp 2001-04-05 16:50:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686)


With this in my ks.cfg file:
network --bootproto static --ip 10.110.0.2 --netmask 255.255.255.192
--device eth1 --gateway 10.110.0.1 --hostname oops

After the installation is complete the configuration for eth1 is
ONBOOT="no".

Either kickstart should be able to specify this field, or the default
should be yes.

Reproducible: Always
Steps to Reproduce:
1. set up kickstart with the network options listed above
2. perform a kickstart install
3. reboot
	

Actual Results:  $ cat /etc/sysconfig/network-scripts/ifcfg-eth1|grep
ONBOOT
ONBOOT="no"

Expected Results:  $ cat /etc/sysconfig/network-scripts/ifcfg-eth1|grep
ONBOOT
ONBOOT="yes"

Its just annoying, thats all.
Comment 1 Brent Fox 2001-04-09 16:04:24 EDT
Matt, didn't you fix an issue related to this?
Comment 2 Matt Wilson 2001-04-09 16:12:10 EDT
i'm not sure that the next version will do anything different when it comes to
kickstart.

Note You need to log in before you can comment on or make changes to this bug.